package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name ="maint_address")
public class MaintAddress implements Serializable{
	
	/*Table: maint_address*/
	
	
	/*Column Information
	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	country_alpha3_code     varchar(3)    latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	legal_entity_code
	country_numeric_code    varchar(3)    latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	country_name            varchar(200)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	ccy_cd                  varchar(3)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	isd_code                varchar(4)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_plus_minus          varchar(1)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_offset_hrs          varchar(2)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_offset_mins         varchar(2)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	state_code              varchar(10)   latin1_swedish_ci  NO      PRI                                                     select,insert,update,references           
	state_iso_code          varchar(10)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	state_name              varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	district_code           varchar(10)   latin1_swedish_ci  NO      PRI                                                     select,insert,update,references           
	district_name           varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	city_code               varchar(10)   latin1_swedish_ci  NO      PRI                                                     select,insert,update,references           
	city_name               varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)
*/
	@Id
	@Column(name="country_alpha3_code") 
	private String countryAlpha3Code;
	
	@Id
	@Column(name="legal_entity_code") 
	private Integer legalEntityCode;
	

	@Column(name="country_numeric_code") 
	private String countryNumericCode;

	@Column(name="country_name") 
	private String countryName;

	@Column(name="ccy_cd") 
	private String ccyCd;

	@Column(name="isd_code") 
	private String isdCode;

	@Column(name="gmt_plus_minus") 
	private String gmtPlusMinus;

	@Column(name="gmt_offset_hrs") 
	private String gmtOffsetHrs;

	@Column(name="gmt_offset_mins") 
	private String gmtOffsetMins;
	
	@Id
	@Column(name="state_code") 
	private String stateCode;

	@Column(name="state_iso_code") 
	private String stateIsoCode;

	@Column(name="state_name") 
	private String stateName;

	@Id
	@Column(name="district_code") 
	private String districtCode;

	@Column(name="district_name") 
	private String districtName;

	@Id
	@Column(name="city_code") 
	private String cityCode;

	@Column(name="city_name") 
	private String cityName;

	@Column(name="status") 
	private String status;

	@Column(name="maker") 
	private String maker;

	@Column(name="maker_timestamp") 
	private Date   makerTimestamp;

	@Column(name="checker") 
	private String checker;

	@Column(name="checker_timestamp") 
	private Date   checkerTimestamp;

	@Column(name="businessdate_timestamp") 
	private Date   businessdateTimestamp;

	@Column(name="sysdate_timestamp") 
	private Date   sysdateTimestamp;

	
	
	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getCountryAlpha3Code() {
		return countryAlpha3Code;
	}

	public void setCountryAlpha3Code(String countryAlpha3Code) {
		this.countryAlpha3Code = countryAlpha3Code;
	}

	public String getCountryNumericCode() {
		return countryNumericCode;
	}

	public void setCountryNumericCode(String countryNumericCode) {
		this.countryNumericCode = countryNumericCode;
	}

	public String getCountryName() {
		return countryName;
	}

	public void setCountryName(String countryName) {
		this.countryName = countryName;
	}

	public String getCcyCd() {
		return ccyCd;
	}

	public void setCcyCd(String ccyCd) {
		this.ccyCd = ccyCd;
	}

	public String getIsdCode() {
		return isdCode;
	}

	public void setIsdCode(String isdCode) {
		this.isdCode = isdCode;
	}

	public String getGmtPlusMinus() {
		return gmtPlusMinus;
	}

	public void setGmtPlusMinus(String gmtPlusMinus) {
		this.gmtPlusMinus = gmtPlusMinus;
	}

	public String getGmtOffsetHrs() {
		return gmtOffsetHrs;
	}

	public void setGmtOffsetHrs(String gmtOffsetHrs) {
		this.gmtOffsetHrs = gmtOffsetHrs;
	}

	public String getGmtOffsetMins() {
		return gmtOffsetMins;
	}

	public void setGmtOffsetMins(String gmtOffsetMins) {
		this.gmtOffsetMins = gmtOffsetMins;
	}

	public String getStateCode() {
		return stateCode;
	}

	public void setStateCode(String stateCode) {
		this.stateCode = stateCode;
	}

	public String getStateIsoCode() {
		return stateIsoCode;
	}

	public void setStateIsoCode(String stateIsoCode) {
		this.stateIsoCode = stateIsoCode;
	}

	public String getStateName() {
		return stateName;
	}

	public void setStateName(String stateName) {
		this.stateName = stateName;
	}

	public String getDistrictCode() {
		return districtCode;
	}

	public void setDistrictCode(String districtCode) {
		this.districtCode = districtCode;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}


}
